<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1IO.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::IO Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#ab622e4e6619dd43b8d80df5673b19ef4">chDir</a>(const std::string &amp;aDirName)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#abb1396f4e0fb27ddeeced560678ede44">ComputeNumberOfSteps</a>(double aTI, double aTF, double aDT)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a1b4e99238145dee17a9e84f25866035d">ConstructDateAndTimeStamp</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a4258a7782b6f5cd5eec4c6a9dda7025c">EndsWith</a>(const std::string &amp;string, const std::string &amp;ending)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#adccec333f2e5c2a8be73eaff44d2cf2d">EndsWithIgnoringCase</a>(const std::string &amp;string, const std::string &amp;ending)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a19597e543ec2d7f710e8206dd2dc275a">eraseEmptyElements</a>(std::vector&lt; std::string &gt; &amp;list)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a0a595e0bcc16270e0893578d29bba80f">FileExists</a>(const std::string &amp;filePath)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#aa461bfdca75efa31db1c43efd2399af0">FixSlashesInFilePath</a>(const std::string &amp;path)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a80b72038698fd481f7e78f702263bb1c">formatText</a>(const std::string &amp;aComment, const std::string &amp;leadingWhitespace, int width, const std::string &amp;endlineTokenToInsert=&quot;\n&quot;)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a2c98a26c76c28bb8695ce791519caad0">getCwd</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a3db7085dbf2c3cff1a8262567df44338">GetDigitsPad</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#ab48a0de40a4e891a0f3a0b9bb8adb303">GetDoubleOutputFormat</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a3efa7ce03200f9b90a0bab7d891688a2">GetFileNameFromURI</a>(const std::string &amp;aURI)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a53301d14f73e6e7897fb1d3f1cebd81f">GetGFormatForDoubleOutput</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#aa7a80aecbcbfac7f72559b4bedcd71cc">getParentDirectory</a>(const std::string &amp;fileName)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a3403feb6f4c76a7341eca783b536a887">GetPrecision</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#aed6321524c09dccfd8dbd4d749510dba">GetPrintOfflineDocuments</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a554072eb052ebd9de9da51ea2ed1ce8f">GetScientific</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a0f9fbe7bfef5a2536a02c6c7ce9d7b8b">GetSuffix</a>(const std::string &amp;aStr, int aLen)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a4a3feafe88e542d81412d5e47c7dbc26">Lowercase</a>(const std::string &amp;aStr)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a67f3a6f81d0b18005b4653a1386fcc90">makeDir</a>(const std::string &amp;aDirName)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#acbde231c85a14a6fe3492c88faac44aa">OpenFile</a>(const std::string &amp;aFileName, const std::string &amp;aMode)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#ac206c80135b40da7f28bd044ffe655a4">OpenInputFile</a>(const std::string &amp;aFileName, std::ios_base::openmode mode=std::ios_base::in)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#ae83c410ee820e69a46b8b81a1b753708">OpenOutputFile</a>(const std::string &amp;aFileName, std::ios_base::openmode mode=std::ios_base::out)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#aadaf5b151294d7ae2e93efaa14b9b3a9">ReadCharacters</a>(std::istream &amp;aIS, int aNChar)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a9be6d264b89d6adfdb93946d5639dc98">ReadLine</a>(std::istream &amp;aIS)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a5ff15379492ef8f8e9d50b9ce7842a08">ReadToTokenLine</a>(std::istream &amp;aIS, const std::string &amp;aToken)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a490a82bb54dda41b07181a02e7b1b0cd">RemoveSuffix</a>(std::string &amp;rStr, int aLen)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a60f12953d9549783fdb1c2ec3edbbc2b">replaceSubstring</a>(const std::string &amp;aStr, const std::string &amp;aFrom, const std::string &amp;aTo)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#ad7254cf23d786b8047fef1a10a3bb031">SetDigitsPad</a>(int aPad)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a0e442f92143fab0b7e6a6224f8982dde">SetGFormatForDoubleOutput</a>(bool aTrueFalse)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a44f388ab0f853191c4b71f396101e7e0">SetPrecision</a>(int aPlaces)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a34355997d539545eaa61505901abc204">SetPrintOfflineDocuments</a>(bool aTrueFalse)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#abc62cfc87c2c1d4528d0638318fb7fc6">SetScientific</a>(bool aTrueFalse)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a0ad86e8ec3a152f1ac3fab8dc6e7099a">StartsWith</a>(const std::string &amp;string, const std::string &amp;start)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a4982542ee5039b0741d3c05ff959abbb">StartsWithIgnoringCase</a>(const std::string &amp;string, const std::string &amp;start)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a8860c925fe15f259ddb67382a438e63a">TrimLeadingWhitespace</a>(std::string &amp;rStr)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a4ee4b85da77ab7267e15dfaa7a3a905c">TrimTrailingWhitespace</a>(std::string &amp;rStr)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#a5172ef29181735e15a550e763c25eafc">TrimWhitespace</a>(std::string &amp;rStr)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IO.html#acf2aedae1894a239ed2a20eeee0e2cb9">Uppercase</a>(const std::string &amp;aStr)</td><td class="entry"><a class="el" href="classOpenSim_1_1IO.html">OpenSim::IO</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:23 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
